<?php

namespace lib\Entities;

use lib\Entities\CommonEntity as Entity;
use lib\Models\MemberModel as Model;

class MemberEntity extends Entity
{
    const PKField = Model::PKField;
    const TitleField = Model::TitleField;
    const PairField = Model::PairField;
    public function __construct($datas)
    {
        parent::__construct($datas);
    } //
    public function getId(): string
    {
        return $this->id;
    }
    public function getPassword(): string
    {
        return $this->pass;
    }
    public function getName(): string
    {
        return $this->name;
    }
    public function getRole(): string
    {
        return $this->role;
    }
} //Class
